#
# TODO: bcond for non-gtk gui (gfceux)
# TODO: bcond for gtk3 interface instead of qt
#
Summary:	FCE Ultra - Linux Nintendo Entertainment System emulator
Summary(pl.UTF-8):	FCE Ultra - linuksowy emulator systemu Nintendo
Name:		fceultra
Version:	2.4.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
#Source0:	http://downloads.sourceforge.net/fceultra/fceux-%{version}.src.tar.gz
Source0:	https://sourceforge.net/projects/fceultra/files/Source%20Code/%{version}%20src/fceux-%{version}.tar.gz
# Source0-md5:	49266efef8c8c87455112d842bc162f3
URL:		http://fceultra.sourceforge.net/
BuildRequires:	Mesa-libGLU-devel
BuildRequires:	Qt5Core-devel >= 5.11
BuildRequires:	Qt5Gui-devel >= 5.11
BuildRequires:	Qt5OpenGL-devel >= 5.11
BuildRequires:	Qt5Widgets-devel >= 5.11
BuildRequires:	SDL2 >= 2.0
BuildRequires:	cmake
BuildRequires:	lua51-devel
BuildRequires:	minizip-devel
BuildRequires:	pkgconfig
Requires:	Qt5Gui-platform-xcb-glx >= 5.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FCE Ultra is a cross platform, NTSC and PAL Famicom/NES emulator.

%description -l pl.UTF-8
FCE Ultra to wieloplatformowy emulator konsoli Famicom/NES/Pegasus.

%prep
%setup -q -n fceux-%{version}

%build
CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcxxflags}"
mkdir -p build
%cmake --build=build .

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man6/
%{__mv} documentation/fceux.6 $RPM_BUILD_ROOT%{_mandir}/man6/
%{__mv} documentation/fceux-net-server.6 $RPM_BUILD_ROOT%{_mandir}/man6/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO-SDL changelog.txt readme.md documentation/*
%attr(755,root,root) %{_bindir}/fceux
%dir %{_datadir}/fceux
%dir %{_datadir}/fceux/luaScripts
%dir %{_datadir}/fceux/palettes
%dir %{_datadir}/fceux/tools
%{_datadir}/fceux/*.{dll,chm}
%{_datadir}/fceux/luaScripts/*
%{_datadir}/fceux/palettes/*
%{_datadir}/fceux/tools/*
%{_mandir}/man6/fceux-net-server.6*
%{_mandir}/man6/fceux.6*
%{_pixmapsdir}/fceux1.png
%{_desktopdir}/fceux.desktop
%changelog
* Fri Jun 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fceultra.git;a=log;h=master

* Fri Jun 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 53e9181
- up to 2.4.0

* Fri Jun 18 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6f2ad28
- fixing debug packages

* Sat Jun 05 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c26c118
- fixed requirements

* Sat Jun 05 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f81e99a
- up to 2.3.0

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> c5baaea
- updated to 2.2.1

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 090fcaa
- release 5 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 0658dcb
- builds now

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> d6b3c3f
- fix -build.patch
- pass CC, CXX, CFLAGS, LDFLAGS and LIBS
- rlease 4 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c3f2a9f
- release 3

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d1980c
- release 2

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> 3b60063
- don't declare asprintf again

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> ece97d1
- updated to 2.1.5
- added -build.patch

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 456c8f7
- BR: gtk+2-devel, pkgconfig

* Tue Jan 25 2011 lisu <lisu@pld-linux.org> 47bdd94
- up to 2.1.4a
- more verbose files
- cosmetics
- TODO

* Mon May 11 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 683d24a
- fix docs

* Mon May 11 2009 Bartłomiej Zimoń <cactus@pld-linux.org> e0fc8ba
- up to 2.1.0a

* Sat Jul 19 2008 Bartłomiej Zimoń <cactus@pld-linux.org> b587961
- clean ups
- rel 1

* Sat Jul 19 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 13d7590
- initial

